﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!Page.IsPostBack)
            {
                Page.SetFocus(this.messageTextBox);
            }

            this.firstPanel.Visible  = true;
            this.secondPanel.Visible = false;

            this.showFirstPanelButton.Visible  = false;
            this.showSecondPanelButton.Visible = true;
        }

        #endregion
        #region 첫번째 패널 보여주기 버튼 클릭시 처리하기 - showFirstPanelButton_Click(sender, e)

        /// <summary>
        /// 첫번째 패널 보여주기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void showFirstPanelButton_Click(object sender, EventArgs e)
        {
            this.firstPanel.Visible  = true;
            this.secondPanel.Visible = false;

            showFirstPanelButton.Visible  = false;
            showSecondPanelButton.Visible = true;

            SetFocus(this.messageTextBox);

            this.commandPanel.DefaultButton = "showSecondPanelButton";
        }

        #endregion
        #region 두번째 패널 보여주기 버튼 클릭시 처리하기 - showSecondPanelButton_Click(sender, e)

        /// <summary>
        /// 두번째 패널 보여주기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void showSecondPanelButton_Click(object sender, EventArgs e)
        {
            this.firstPanel.Visible  = false;
            this.secondPanel.Visible = true;

            showFirstPanelButton.Visible  = true;
            showSecondPanelButton.Visible = false;

            SetFocus(this.messageTextBox);

            this.commandPanel.DefaultButton = "showFirstPanelButton";
        }

        #endregion
    }
}